PHPExcel_Reader

# Class: PHPExcel_Reader_CSV

Source Location: /PHPExcel/Reader/CSV.php

### Class Overview

PHPExcel_Reader_CSV

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- PHPExcel_Reader_IReader

### Methods

- __construct
- canRead
- getContiguous
- getDelimiter
- getEnclosure
- getInputEncoding
- getLineEnding
- getReadFilter
- getSheetIndex
- listWorksheetInfo
- load
- loadIntoExisting
- setContiguous
- setDelimiter
- setEnclosure
- setInputEncoding
- setLineEnding
- setReadFilter
- setSheetIndex

### Class Details

[line 45]
PHPExcel_Reader_CSV

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 116]

`PHPExcel_Reader_CSV __construct( )`

Create a new PHPExcel_Reader_CSV

#### Tags:

access: | public

[ Top ]

### method canRead [line 129]

`boolean canRead( $pFilename, string $pFileName)`

Can the current PHPExcel_Reader_IReader read the file?

#### Tags:

throws: | Exception
access: | public

Implementation of:

PHPExcel_Reader_IReader::canRead()
  Can the current PHPExcel_Reader_IReader read the file?

#### Parameters:

string | $pFileName |
| $pFilename |

[ Top ]

### method getContiguous [line 501]

`boolean getContiguous( )`

Get Contiguous

#### Tags:

access: | public

[ Top ]

### method getDelimiter [line 385]

`string getDelimiter( )`

Get delimiter

#### Tags:

access: | public

[ Top ]

### method getEnclosure [line 409]

`string getEnclosure( )`

Get enclosure

#### Tags:

access: | public

[ Top ]

### method getInputEncoding [line 182]

`string getInputEncoding( )`

Get input encoding

#### Tags:

access: | public

[ Top ]

### method getLineEnding [line 436]

`string getLineEnding( )`

Get line ending

#### Tags:

access: | public

[ Top ]

### method getReadFilter [line 146]

`PHPExcel_Reader_IReadFilter getReadFilter( )`

Read filter

#### Tags:

access: | public

[ Top ]

### method getSheetIndex [line 460]

`int getSheetIndex( )`

Get sheet index

#### Tags:

access: | public

[ Top ]

### method listWorksheetInfo [line 195]

`void listWorksheetInfo( string $pFilename)`

Return worksheet info (Name, Last Column Letter, Last Column Index, Total Rows, Total Columns)

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pFilename |

[ Top ]

### method load [line 267]

`PHPExcel load( string $pFilename)`

Loads PHPExcel from file

#### Tags:

throws: | Exception
access: | public

Implementation of:

PHPExcel_Reader_IReader::load()
  Loads PHPExcel from file

#### Parameters:

string | $pFilename |

[ Top ]

### method loadIntoExisting [line 286]

`PHPExcel loadIntoExisting( string $pFilename, PHPExcel $objPHPExcel)`

Loads PHPExcel from file into PHPExcel instance

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pFilename |
PHPExcel | $objPHPExcel |

[ Top ]

### method setContiguous [line 484]

`void setContiguous( [ $contiguous = false], string $pValue)`

Set Contiguous

#### Tags:

access: | public

#### Parameters:

string | $pValue | Input encoding
| $contiguous |

[ Top ]

### method setDelimiter [line 397]

`PHPExcel_Reader_CSV setDelimiter( [string $pValue = ','])`

Set delimiter

#### Tags:

access: | public

#### Parameters:

string | $pValue | Delimiter, defaults to ,

[ Top ]

### method setEnclosure [line 421]

`PHPExcel_Reader_CSV setEnclosure( [string $pValue = '"'])`

Set enclosure

#### Tags:

access: | public

#### Parameters:

string | $pValue | Enclosure, defaults to "

[ Top ]

### method setInputEncoding [line 169]

`void setInputEncoding( [string $pValue = 'UTF-8'])`

Set input encoding

#### Tags:

access: | public

#### Parameters:

string | $pValue | Input encoding

[ Top ]

### method setLineEnding [line 448]

`PHPExcel_Reader_CSV setLineEnding( [string $pValue = PHP_EOL])`

Set line ending

#### Tags:

access: | public

#### Parameters:

string | $pValue | Line ending, defaults to OS line ending (PHP_EOL)

[ Top ]

### method setReadFilter [line 157]

`void setReadFilter( PHPExcel_Reader_IReadFilter $pValue)`

Set read filter

#### Tags:

access: | public

#### Parameters:

PHPExcel_Reader_IReadFilter | $pValue |

[ Top ]

### method setSheetIndex [line 472]

`PHPExcel_Reader_CSV setSheetIndex( [int $pValue = 0])`

Set sheet index

#### Tags:

access: | public

#### Parameters:

int | $pValue | Sheet index

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:35 +0200 by phpDocumentor 1.4.4